/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.individu;

import javax.swing.JDialog;

import org.cocktail.mangue.client.gui.promotions.PromouvabilitesView;
import org.cocktail.mangue.common.utilities.CocktailIcones;


/**
 *
 * @author  cpinsard
 */
public class InfosONPView extends JDialog {

    /**
	 * 
	 */
	private static final long serialVersionUID = -6195866169790317637L;

	/** Creates new form TemplateJDialog */
    public InfosONPView(java.awt.Frame parent, boolean modal) {
		super(parent, modal);
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        swapView = new javax.swing.JPanel();
        jPanel1 = new javax.swing.JPanel();
        checkDivers = new javax.swing.JRadioButton();
        checkAgent = new javax.swing.JRadioButton();
        checkTiersBeneficiaire = new javax.swing.JRadioButton();
        checkDivers1 = new javax.swing.JRadioButton();
        checkDivers2 = new javax.swing.JRadioButton();
        checkDivers3 = new javax.swing.JRadioButton();
        tfTitre = new javax.swing.JTextField();
        btnFermer = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("ONP - Données complémentaires");

        swapView.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        swapView.setLayout(new java.awt.CardLayout());

        checkDivers.setBackground(new java.awt.Color(102, 255, 102));
        buttonGroup1.add(checkDivers);
        checkDivers.setFont(new java.awt.Font("Verdana", 0, 12)); // NOI18N
        checkDivers.setText("Divers");
        checkDivers.setToolTipText("Données ONP diverses");
        checkDivers.setBorderPainted(true);
        checkDivers.setFocusPainted(false);
        checkDivers.setFocusable(false);
        checkDivers.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkAgent.setBackground(new java.awt.Color(204, 255, 204));
        buttonGroup1.add(checkAgent);
        checkAgent.setFont(new java.awt.Font("Verdana", 0, 12)); // NOI18N
        checkAgent.setText("Agent");
        checkAgent.setToolTipText("Données ONP de l'agent");
        checkAgent.setBorderPainted(true);
        checkAgent.setFocusPainted(false);
        checkAgent.setFocusable(false);
        checkAgent.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        checkAgent.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkAgentActionPerformed(evt);
            }
        });

        checkTiersBeneficiaire.setBackground(new java.awt.Color(204, 255, 153));
        buttonGroup1.add(checkTiersBeneficiaire);
        checkTiersBeneficiaire.setFont(new java.awt.Font("Verdana", 0, 12)); // NOI18N
        checkTiersBeneficiaire.setText("Tiers bénéficiaire");
        checkTiersBeneficiaire.setToolTipText("Données ONP sur le tiers bénéficiaire");
        checkTiersBeneficiaire.setBorderPainted(true);
        checkTiersBeneficiaire.setFocusPainted(false);
        checkTiersBeneficiaire.setFocusable(false);
        checkTiersBeneficiaire.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkDivers1.setBackground(new java.awt.Color(153, 204, 255));
        buttonGroup1.add(checkDivers1);
        checkDivers1.setFont(new java.awt.Font("Verdana", 0, 12)); // NOI18N
        checkDivers1.setText("Administratif");
        checkDivers1.setToolTipText("Dossier administratif");
        checkDivers1.setBorderPainted(true);
        checkDivers1.setFocusPainted(false);
        checkDivers1.setFocusable(false);
        checkDivers1.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkDivers2.setBackground(new java.awt.Color(153, 204, 255));
        buttonGroup1.add(checkDivers2);
        checkDivers2.setFont(new java.awt.Font("Verdana", 0, 12)); // NOI18N
        checkDivers2.setText("Organisation");
        checkDivers2.setToolTipText("Dossier organisation");
        checkDivers2.setBorderPainted(true);
        checkDivers2.setFocusPainted(false);
        checkDivers2.setFocusable(false);
        checkDivers2.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        checkDivers3.setBackground(new java.awt.Color(153, 204, 255));
        buttonGroup1.add(checkDivers3);
        checkDivers3.setFont(new java.awt.Font("Verdana", 0, 12)); // NOI18N
        checkDivers3.setText("Financier");
        checkDivers3.setToolTipText("Dossier financier");
        checkDivers3.setBorderPainted(true);
        checkDivers3.setFocusPainted(false);
        checkDivers3.setFocusable(false);
        checkDivers3.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(checkAgent, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE)
                    .add(checkTiersBeneficiaire, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE)
                    .add(checkDivers, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE)
                    .add(checkDivers1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE)
                    .add(checkDivers2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE)
                    .add(checkDivers3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 166, Short.MAX_VALUE))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(checkAgent)
                .add(18, 18, 18)
                .add(checkTiersBeneficiaire)
                .add(18, 18, 18)
                .add(checkDivers)
                .add(71, 71, 71)
                .add(checkDivers1)
                .add(18, 18, 18)
                .add(checkDivers2)
                .add(18, 18, 18)
                .add(checkDivers3)
                .addContainerGap(332, Short.MAX_VALUE))
        );

        tfTitre.setBackground(new java.awt.Color(255, 204, 204));
        tfTitre.setEditable(false);
        tfTitre.setFont(new java.awt.Font("Verdana", 0, 14));
        tfTitre.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitre.setText("DIVERS");
        tfTitre.setAutoscrolls(false);
        tfTitre.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        btnFermer.setText("Fermer");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createSequentialGroup()
                        .add(6, 6, 6)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(swapView, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 718, Short.MAX_VALUE)
                            .add(tfTitre, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 718, Short.MAX_VALUE)))
                    .add(layout.createSequentialGroup()
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 127, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(tfTitre, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(swapView, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 571, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnFermer)))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-946)/2, (screenSize.height-690)/2, 946, 690);
    }// </editor-fold>//GEN-END:initComponents

    private void checkAgentActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkAgentActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_checkAgentActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                PromouvabilitesView dialog = new PromouvabilitesView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnFermer;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JRadioButton checkAgent;
    private javax.swing.JRadioButton checkDivers;
    private javax.swing.JRadioButton checkDivers1;
    private javax.swing.JRadioButton checkDivers2;
    private javax.swing.JRadioButton checkDivers3;
    private javax.swing.JRadioButton checkTiersBeneficiaire;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel swapView;
    private javax.swing.JTextField tfTitre;
    // End of variables declaration//GEN-END:variables
        
    private void initGui() {
    	setTitle("");    	
    	btnFermer.setIcon(CocktailIcones.ICON_CLOSE);
    }

	public javax.swing.JButton getBtnFermer() {
		return btnFermer;
	}

	public void setBtnFermer(javax.swing.JButton btnFermer) {
		this.btnFermer = btnFermer;
	}

	public javax.swing.JRadioButton getCheckAgent() {
		return checkAgent;
	}

	public void setCheckAgent(javax.swing.JRadioButton checkAgent) {
		this.checkAgent = checkAgent;
	}

	public javax.swing.JRadioButton getCheckDivers() {
		return checkDivers;
	}

	public void setCheckDivers(javax.swing.JRadioButton checkDivers) {
		this.checkDivers = checkDivers;
	}

	public javax.swing.JRadioButton getCheckTiersBeneficiaire() {
		return checkTiersBeneficiaire;
	}

	public void setCheckTiersBeneficiaire(
			javax.swing.JRadioButton checkTiersBeneficiaire) {
		this.checkTiersBeneficiaire = checkTiersBeneficiaire;
	}

	public javax.swing.JPanel getSwapView() {
		return swapView;
	}

	public void setSwapView(javax.swing.JPanel swapView) {
		this.swapView = swapView;
	}

	public javax.swing.JTextField getTfTitre() {
		return tfTitre;
	}

	public void setTfTitre(javax.swing.JTextField tfTitre) {
		this.tfTitre = tfTitre;
	}



}